package com.ssj.service.reading.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

/** 
 * @author  ZhangCaibao 
 * @version 2018年8月16日 下午2:15:38 
 * 类说明 
 */
public class GrowthRecordReq  extends BaseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name="libId",value="图书馆libId",required=true)
	private String libId;

	@ApiModelProperty(name="pageSize",value="一页10条",required=true)
    private int pageSize =10;

	@ApiModelProperty(name="pageNo",value="第几页",required=true)
    private int pageNo =1;

	@ApiModelProperty(name="vipId",value="vipId",required=true)
    private String vipId;

	@ApiModelProperty(name="type",value="1-正在借阅 2-已归还",required=true)
	private Integer type;

	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public int getPageSize() {
		return pageSize;
	}
	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	public int getPageNo() {
		return pageNo;
	}
	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}
}
